Bug 385291 - text relocation triggers SE linux alert
text relocation triggers SE linux alert
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
: 414431 419921 (view as bug list)
Depends On: 444260
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 14:13 EST by Will Shackleford
Modified: 2014-09-08 07:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:13:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SE linux alert (2.34 KB, text/plain)
2007-11-15 14:13 EST, Will Shackleford
no flags Details

  None (edit)
Description Will Shackleford 2007-11-15 14:13:00 EST
Description of problem:

Running the installer for NetBeans-6.0rc1 causes java to 
cause a text relocation violation of SE Linux.

Version-Release number of selected component (if applicable):


How reproducible:
 Every time

Steps to Reproduce:
1.With default SE linux setup, execute 
2.netbeans-6.0rc1-linux.sh (downloaded from netbeans.org)
3.
  
Actual results:
Installation stops with Critical Error message and setroubleshoot alerts to 
a new error.

Expected results:

Installation proceeds, no selinux alerts.

Additional info:
Comment 1 Will Shackleford 2007-11-15 14:13:00 EST
Created attachment 260251 [details]
SE linux alert
Comment 2 Lillian Angel 2007-12-12 13:33:11 EST
*** Bug 419921 has been marked as a duplicate of this bug. ***
Comment 3 Lillian Angel 2007-12-12 13:35:05 EST
*** Bug 414431 has been marked as a duplicate of this bug. ***
Comment 4 Thomas Fitzsimmons 2008-04-26 02:29:42 EDT
I tried a full install of netbeans-6.0.1-ml-linux.sh on x86 Rawhide and I didn't
get any SELinux alerts.  The installation of GlassFish didn't complete though,
because of:

https://bugzilla.redhat.com/show_bug.cgi?id=444260
Comment 5 Lillian Angel 2008-07-14 15:18:01 EDT
Is this still a problem?
Comment 6 Bug Zapper 2008-11-26 03:27:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:13:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Will Shackleford 2014-09-08 07:41:58 EDT
I haven't used the product referred to here in years and can't provide anymore info.

Note You need to log in before you can comment on or make changes to this bug.